DIA(1)

NAME
dia - a diagram drawing program

SYNOPSIS

dia [-c] [--credits] [-e OUTPUT] [--export=OUTPUT] [-L LAYER,LAYER,...] [--show-layers=LAYER,LAYER,...] [-h] [--help] [-n] [--nosplash] [-s WxH] [--size=WxH] [-t FORMAT] [--filter=FORMAT] [-v] [--version] [file ...]

DESCRIPTION

Dia is used to create diagrams. Dia has a number of basic tools, like lines and boxes but can also dynamically load sheets. A sheet is a collection of tools that are used in a certain type of diagram.

Most diagram objects in Dia have connection points. Lines can be connected to these connection points and this way graph structures can be formed. When objects are moved or resized the connections will follow the objects.

Diagrams drawn in Dia can be exported as PostScript.

OPTIONS

Dia accepts the following options:

-c --credits
    Display credits list and exit.

-e OUTPUT --export=OUTPUT
    Export loaded file to OUTPUT and exit.

-h --help
    Display a list of all commandline options.

-n --nosplash
    Do not show the splash screen.

-s WxH --size=WxH
    Export loaded file in decimal given width and/or height. It is allowed to only select width or height. E.g. --size=520x exports an image that is 520 pixels wide, while --size=x900 exports an image of 900 pixels height.

        Note
        This option is currently only implemented for the PNG export filter.

-L LAYER,LAYER,... --show-layers=LAYER,LAYER,...
    Only include specified layers when exporting. Layers can be specified either as a layer name, the layer number or a numeric range X-Y of layers. --show-layers=background,2-5 shows the layer named background and layers 2-5, --show-layers=2- shows layers 2 and up.

-t FORMAT --export-to-format=FORMAT
    Export loaded file in FORMAT and exit. Format are described below.

-v --version
    Display dia version and exit.

EXPORT FORMATS

The following export formats are supported by dia.

    • cgm (Computer Graphics Metafile, ISO 8632)

    • dia (Native dia diagram)

    • dxf (Drawing Interchange File)

    • eps or eps-builtin or eps-pango (Encapsulated PostScript)

    The format specifications eps and eps-pango both use the font renderer of the Pango library, while eps-builtin uses a dia specific font renderer. If you have problems with Pango rendering, e.g. Unicode, try eps-builtin instead.

    • fig (XFig format)

    • mp (TeX MetaPost macros)

    • plt or hpgl (HP Graphics Language)

    • png (Portable Network Graphics)

    • shape (Dia Shape File)

    • svg (Scalable Vector Graphics)

    • tex (TeX PSTricks macros)

    • wpg (WordPerfect Graphics)

    • wmf (Windows MetaFile)

FILES

dia creates a directory .dia in the user's home, which contains different files to store user preferences. To reset dia to it's default behaviour, just remove the respective file:

    • defaults.dia: contains default values for elements (XML format).

    • diarc: keeps dia preferences (ASCII).

    • history: keeps the list of last edited diagrams (ASCII).

    • menurc: contains an automated accelerator map dump (Lisp).

    • persistence: contains GUI information, e.g. open windows (XML).

    • pluginrc: the list of loaded plugins (XML).

SEE ALSO

Pango[1]

X (1)

xfig (1)

inkscape (1)

COPYRIGHT

Copyright 1999 Alexander Larsson.

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHORS

Alexander Larsson

This manual was written by Fredrik Hallenberg.

AUTHORS

Fredrik Hallenberg <hallon@lysator.liu.se>
    Author.

W. Borgert <debacle@debian.org>
    Author.

Alan Horkan <horkana@tcd.ie>
    Author.

COPYRIGHT
Copyright © 1999, 2004 Fredrik Hallenberg, W. Borgert, Alan Horkan

NOTES

1.  Pango
    http://www.pango.org/